Вышла версия WordPress 3.5.1

Дата публикации:Январь 30, 2013

Вышла в свет новая версия WordPress 3.5.1. В этой версии было исправлено 37 различных ошибок, замеченных с момента релиза WordPress 3.5. Самые значительные изменения, вошедшие в релиз:

  • Редактор: предотвращено непредвиденное удаление или изменение некоторых HTML-элементов, что происходило в редких случаях.
  • Мультимедиа: исправлены проблемы с совместимостью и выполнением некоторых задач в новом медиа-менеджере.
  • Сети: при создании новой сети предлагаются верные правила перезаписи.
  • Защита от удаления некоторого HTML-кода (к примеру, embed-кода для видео) для запланированных записей во время их публикации.
  • Исправлены некоторые ошибки конфигурации, которые могут приводить к неправильной работе Javascript в области администратора WordPress
  • Скрыты предупреждения, которые могут происходить в том случае, если плагин неправильно использует базу данных или пользовательские API.

Обновление от 3.5 к 3.5.1 может завершиться ошибкой в результате бага, связанного с Windows-серверам на базе IIS. Если вы столкнулись с ошибкой “Destination directory for file streaming does not exist or is not writable”, вам понадобится обратиться к разделу кодекса.

В WordPress 3.5.1 также решены следующие проблемы с безопасностью:

  • Уязвимость фальшивого запроса сервера и удаленное сканирование портов через уведомления. Эта уязвимость затрагивает все предыдущие версии WordPress. Она была устранена службой безопасности WordPress.
  • Два случая межсайтового скриптинга через шорткоды и контент записей.
  • Уязвимость межсайтового скриптинга во внешней библиотеке Plupload. В версии библиотеки 1.5.5 данная проблема была решена.

Источник: wordpress.org

Поделиться

6 комментариев

  1. А у меня слетела боковая консоль после обновления.

    • Architect Of Ruin says:

      Про это уже писали в каком-то посте, проблема в плагинах, можно либо вручную искать, какой из них является проблемным (отключать все и подключать по одному), либо вручную обновить WP (не через автообновление — это самый действенный способ).

  2. «Обновление от 3.5 к 3.5.1 может завершиться ошибкой» — вот это-то и пугает…
    А если с версии 3.4.2 обновлять? ;)

    • Architect Of Ruin says:

      Это, видимо, связано только с переходом от 3.5 к 3.5.1. По крайней мере, уточнений в официальном блоге не было.

  3. В Кодексе есть вариант исправления возможной ошибки:
    Добавьте следующее в вашем файле `WP-config.php`. Удалите его после обновления до WordPress 3.5.1
    define( ‘WP_TEMP_DIR’, ABSPATH . ‘wp-content/’ );

    Может стоит сразу добавить этот код перед обновлением

    • Architect Of Ruin says:

      Не факт, что такая ошибка произойдет. Конечно, береженого бог бережет, но все же… Я думаю, лучше потом уже будет быстро поправить.

Оставить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Получать новые комментарии по электронной почте. Вы можете подписаться без комментирования.